<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

namespace Kufer\KuferTools\Basis\Kursdetails\DetailsReiter\EMails\Anzeigen;


class EmailAnzeigen4Presenter extends \Kufer\KuferTools\Basis\Presenter\MitRahmenPresenter
{
  protected function getView()
  {
    return new EMailAnzeigen4View($this->getViewModel());
  }

  protected function getViewModel()
  {
    $viewModel = new EMailAnzeigen4ViewModel();
    $viewModel->datdoc = $this->useCaseResponse->datdoc;

    return $viewModel;
  }
}